## owslib 0.9.0

=== requirements.txt ===
python-dateutil>=1.5
pytz
requests>=2.7

## owslib 0.8.10

=== debian/changelog ===
owslib (0.8.10-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add Vcs-* URLs.
  * Fix copyright-format version.

  [ Johan Van de Wauw ]
  * Update to new version
  * Imported Upstream version 0.8.10
  * Fix error in copyright text (cfr changed license.txt)
  * Bump standards / update VCS browser url

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Fri, 17 Oct 2014 00:36:58 +0200

owslib (0.8.9-1) unstable; urgency=medium

  * Initial upload (closes: #762869)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 25 Sep 2014 21:32:43 +0200

=== debian/control ===
Source: owslib
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
           Johan Van de Wauw <johan.vandewauw@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-setuptools,
               python-dateutil,
               python-pytest,
               python-tz,
               python-all
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/owslib.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/owslib.git
Homepage: http://geopython.github.com/OWSLib/
X-Python-Version: >= 2.5

Package: python-owslib
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-lxml
Description: Client library for Open Geospatial (OGC) web services
 OWSLib is a Python package for client programming with Open Geospatial 
 Consortium (OGC) web service (hence OWS) interface standards, and their 
 related content models.
 .
 Full documentation is available at http://geopython.github.io/OWSLib
 .
 OWSLib provides a common API for accessing service metadata and wrappers
 for numerous OGC Web Service interfaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib

%:
	dh  $@ --with python2 --buildsystem pybuild

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/O/OWSLib/OWSLib-(.*).tar.gz

## owslib 0.8.12

=== debian/changelog ===
owslib (0.8.12-1~exp) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Add Upstream-Contact to copyright file.

  [ Johan Van de Wauw ]
  * Imported Upstream version 0.8.12 

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sun, 28 Dec 2014 20:37:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-tz,
                python-all
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/owslib.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/owslib.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/owslib.git
 Homepage: http://geopython.github.com/OWSLib/
 X-Python-Version: >= 2.5

## owslib 0.9.0

=== debian/changelog ===
owslib (0.9.0-1) unstable; urgency=medium

  * Imported Upstream version 0.9.0
  * Add dependency to python-requests
  * Add support for Python 3
  * Add more meaningful copyright holders

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Sat, 20 Jun 2015 20:57:22 +0200

owslib (0.8.13-1) unstable; urgency=medium

  * Move to unstable

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 26 May 2015 19:53:32 +0200

owslib (0.8.13-1~exp) experimental; urgency=medium

  * Import Upstream version 0.8.13 
  * Fix Watchfile

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 17 Feb 2015 19:36:08 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,14 @@
                python-dateutil,
                python-pytest,
                python-tz,
-               python-all
+               python-all,
+               python-requests,
+               python3-setuptools,
+               python3-dateutil,
+               python3-pytest,
+               python3-tz,
+               python3-all,
+               python3-requests,
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/owslib.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/owslib.git
@@ -22,7 +29,7 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          python-lxml
-Description: Client library for Open Geospatial (OGC) web services
+Description: Client library for Open Geospatial (OGC) web services (Python 2)
  OWSLib is a Python package for client programming with Open Geospatial 
  Consortium (OGC) web service (hence OWS) interface standards, and their 
  related content models.
@@ -31,4 +38,22 @@
  .
  OWSLib provides a common API for accessing service metadata and wrappers
  for numerous OGC Web Service interfaces.
+ .
+ This package provides the Python 2 version of the library
 
+Package: python3-owslib
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         python3-lxml
+Description: Client library for Open Geospatial (OGC) web services (Python 3)
+ OWSLib is a Python package for client programming with Open Geospatial 
+ Consortium (OGC) web service (hence OWS) interface standards, and their 
+ related content models.
+ .
+ Full documentation is available at http://geopython.github.io/OWSLib
+ .
+ OWSLib provides a common API for accessing service metadata and wrappers
+ for numerous OGC Web Service interfaces.
+ .
+ This package provides the Python 3 version of the library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib

%:
	dh  $@ --with python2,python3 --buildsystem pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/OWSLib/OWSLib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## owslib 0.10.3

=== debian/changelog ===
owslib (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Dec 2015 16:26:09 +0100

owslib (0.10.0-1) unstable; urgency=medium

  * Imported Upstream version 0.10.0

 -- Johan Van de Wauw <johan@vandewauw.be>  Wed, 18 Nov 2015 13:59:21 +0100

owslib (0.9.2-1) unstable; urgency=medium

  [ Johan Van de Wauw ]
  * Update watchfile to github (adds tests+docs)
  * Skip tests as they require internet access
  * Add rules for doc package
  * Add docs package
  * Fix privacy breaches in docs
  * Imported Upstream version 0.9.2
  * Add doc-base + suggests for doc package

  [ Bas Couwenberg ]
  * Update Vcs-Browser URL to use HTTPS.

 -- Johan Van de Wauw <johan@vandewauw.be>  Mon, 14 Sep 2015 22:18:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: owslib
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
-           Johan Van de Wauw <johan.vandewauw@gmail.com>
+           Johan Van de Wauw <johan@vandewauw.be>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -18,8 +18,9 @@
                python3-tz,
                python3-all,
                python3-requests,
+               python-sphinx 
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/owslib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/owslib.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/owslib.git
 Homepage: http://geopython.github.com/OWSLib/
 X-Python-Version: >= 2.5
@@ -29,6 +30,7 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          python-lxml
+Suggests: owslib-doc
 Description: Client library for Open Geospatial (OGC) web services (Python 2)
  OWSLib is a Python package for client programming with Open Geospatial 
  Consortium (OGC) web service (hence OWS) interface standards, and their 
@@ -39,13 +41,14 @@
  OWSLib provides a common API for accessing service metadata and wrappers
  for numerous OGC Web Service interfaces.
  .
- This package provides the Python 2 version of the library
+ This package provides the Python 2 version of the library.
 
 Package: python3-owslib
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
          python3-lxml
+Suggests: owslib-doc
 Description: Client library for Open Geospatial (OGC) web services (Python 3)
  OWSLib is a Python package for client programming with Open Geospatial 
  Consortium (OGC) web service (hence OWS) interface standards, and their 
@@ -56,4 +59,21 @@
  OWSLib provides a common API for accessing service metadata and wrappers
  for numerous OGC Web Service interfaces.
  .
- This package provides the Python 3 version of the library
+ This package provides the Python 3 version of the library.
+
+Package: owslib-doc
+Architecture: all
+Section: doc
+Depends: ${sphinxdoc:Depends},
+         ${misc:Depends}
+Description: Client library for Open Geospatial (OGC) web services (Documentation)
+ OWSLib is a Python package for client programming with Open Geospatial 
+ Consortium (OGC) web service (hence OWS) interface standards, and their 
+ related content models.
+ .
+ Full documentation is available at http://geopython.github.io/OWSLib
+ .
+ OWSLib provides a common API for accessing service metadata and wrappers
+ for numerous OGC Web Service interfaces.
+ .
+ This package provides the documentation of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS   = -D today="$(BUILD_DATE)"
export PYBUILD_AFTER_BUILD_python2 = cd docs;make html

%:
	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_test:
#skipping tests as they require internet access

override_dh_auto_clean:
	rm -rf docs/build

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/owslib-$1.$2/ \
https://github.com/geopython/owslib/tags \
(?:.*/)?(?:rel|r|v|owslib)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## owslib 0.11.2

=== debian/changelog ===
owslib (0.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 May 2016 11:38:02 +0200

owslib (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2016 19:48:08 +0200

owslib (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Apr 2016 02:34:10 +0200

## owslib 0.14.0

=== debian/changelog ===
owslib (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0

 -- Johan Van de Wauw <johan@vandewauw.be>  Thu, 12 Jan 2017 21:33:13 +0100

owslib (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0

 -- Johan Van de Wauw <johan@vandewauw.be>  Sun, 25 Sep 2016 10:40:15 +0200

owslib (0.12.0-1) unstable; urgency=medium

  * Imported Upstream version 0.12.0
  * Refresh patches
  * Add copyright for debian files/other owners

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 13 Sep 2016 21:02:32 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                python3-all,
                python3-requests,
                python-sphinx 
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/owslib.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/owslib.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/owslib.git
 Homepage: http://geopython.github.com/OWSLib/
 X-Python-Version: >= 2.5

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_AFTER_BUILD_python2 = cd docs;make html
 
 %:
-	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild --parallel
 
 override_dh_auto_test:
 #skipping tests as they require internet access

## owslib 0.16.0

=== requirements.txt ===
python-dateutil>=1.5
pytz
requests>=1.0
pyproj

=== debian/changelog ===
owslib (0.16.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add python3-sphinx to build dependencies.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Strip trailing whitespace from changelog & control files.

  [ Johan Van de Wauw ]
  * New upstream version 0.16.0
  * Bump Standards Version to 4.1.2, no changes required
  * Use secure URL in d.control
  * Use Python 3 version of Sphinx

 -- Johan Van de Wauw <johan@gisky.be>  Fri, 22 Dec 2017 12:58:43 +0100

owslib (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * update my mail address
  * Bump debian policy to 4.1

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 19 Sep 2017 21:57:38 +0200

=== debian/control ===
Source: owslib
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
           Johan Van de Wauw <johan@gisky.be>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-setuptools,
               python-dateutil,
               python-pytest,
               python-tz,
               python-all,
               python-requests,
               python3-setuptools,
               python3-dateutil,
               python3-pytest,
               python3-tz,
               python3-all,
               python3-requests,
               python3-sphinx
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/owslib.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/owslib.git
Homepage: https://geopython.github.com/OWSLib/
X-Python-Version: >= 2.5

Package: python-owslib
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-lxml
Suggests: owslib-doc
Description: Client library for Open Geospatial (OGC) web services (Python 2)
 OWSLib is a Python package for client programming with Open Geospatial
 Consortium (OGC) web service (hence OWS) interface standards, and their
 related content models.
 .
 Full documentation is available at https://geopython.github.io/OWSLib
 .
 OWSLib provides a common API for accessing service metadata and wrappers
 for numerous OGC Web Service interfaces.
 .
 This package provides the Python 2 version of the library.

Package: python3-owslib
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-lxml
Suggests: owslib-doc
Description: Client library for Open Geospatial (OGC) web services (Python 3)
 OWSLib is a Python package for client programming with Open Geospatial
 Consortium (OGC) web service (hence OWS) interface standards, and their
 related content models.
 .
 Full documentation is available at https://geopython.github.io/OWSLib
 .
 OWSLib provides a common API for accessing service metadata and wrappers
 for numerous OGC Web Service interfaces.
 .
 This package provides the Python 3 version of the library.

Package: owslib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Client library for Open Geospatial (OGC) web services (Documentation)
 OWSLib is a Python package for client programming with Open Geospatial
 Consortium (OGC) web service (hence OWS) interface standards, and their
 related content models.
 .
 Full documentation is available at https://geopython.github.io/OWSLib
 .
 OWSLib provides a common API for accessing service metadata and wrappers
 for numerous OGC Web Service interfaces.
 .
 This package provides the documentation of the library.

=== debian/tests/control ===
# Test installability
Depends: @
Test-Command: /bin/true

## owslib 0.17.1

=== debian/changelog ===
owslib (0.17.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:08:07 +0800

owslib (0.17.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Update copyright holders.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Jan 2019 09:30:10 +0100

owslib (0.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Sep 2018 07:38:39 +0200

owslib (0.16.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 17:42:43 +0200

owslib (0.16.0-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards Version to 4.1.5, no changes.
  * Add module import tests to autopkgtest configuration.
  * Drop ancient X-Python-Version field.
  * Change Source URL to GitHub repository.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Aug 2018 08:14:38 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib
export PYBUILD_AFTER_BUILD_python3 = cd docs;make html

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS = -D today="$(BUILD_DATE)"

%:
	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild --parallel

override_dh_auto_test:
#skipping tests as they require internet access

override_dh_auto_clean:
	rm -rf docs/build

## owslib 0.18.0

=== debian/changelog ===
owslib (0.18.0-1) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 12:23:20 +0200

owslib (0.18.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Jun 2019 05:48:02 +0200

## owslib 0.19.1

=== debian/changelog ===
owslib (0.19.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Feb 2020 20:32:36 +0100

owslib (0.19.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 Nov 2019 06:58:39 +0100

owslib (0.18.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.
    (closes: #937226)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Sep 2019 18:26:23 +0200

=== debian/control ===
Source: owslib
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
           Johan Van de Wauw <johan@gisky.be>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-dateutil,
               python3-pytest,
               python3-requests,
               python3-setuptools,
               python3-sphinx,
               python3-tz
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
Homepage: https://geopython.github.com/OWSLib/

Package: python3-owslib
Architecture: all
Depends: python3-lxml,
         ${python3:Depends},
         ${misc:Depends}
Suggests: owslib-doc
Description: Client library for Open Geospatial (OGC) web services (Python 3)
 OWSLib is a Python package for client programming with Open Geospatial
 Consortium (OGC) web service (hence OWS) interface standards, and their
 related content models.
 .
 Full documentation is available at https://geopython.github.io/OWSLib
 .
 OWSLib provides a common API for accessing service metadata and wrappers
 for numerous OGC Web Service interfaces.
 .
 This package provides the Python 3 version of the library.

Package: owslib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Client library for Open Geospatial (OGC) web services (Documentation)
 OWSLib is a Python package for client programming with Open Geospatial
 Consortium (OGC) web service (hence OWS) interface standards, and their
 related content models.
 .
 Full documentation is available at https://geopython.github.io/OWSLib
 .
 OWSLib provides a common API for accessing service metadata and wrappers
 for numerous OGC Web Service interfaces.
 .
 This package provides the documentation of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS = -D today="$(BUILD_DATE)"

%:
	dh  $@ --with python3,sphinxdoc --buildsystem pybuild --parallel

override_dh_auto_clean:
	rm -rf docs/build

override_dh_auto_build:
	dh_auto_build

	cd docs && make html

override_dh_auto_test:
#skipping tests as they require internet access

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/owslib-$1.$2/ \
https://github.com/geopython/owslib/releases \
(?:.*?/archive/)?(?:rel|r|v|owslib)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## owslib 0.20.0

=== debian/changelog ===
owslib (0.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Jun 2020 19:58:24 +0200

owslib (0.19.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add python3-yaml to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Mar 2020 06:53:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Johan Van de Wauw <johan@gisky.be>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                python3-all,
                python3-dateutil,
@@ -12,7 +12,8 @@
                python3-requests,
                python3-setuptools,
                python3-sphinx,
-               python3-tz
+               python3-tz,
+               python3-yaml
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git

## owslib 0.23.0

=== requirements.txt ===
python-dateutil>=1.5
pytz
requests>=1.0
pyproj >=2
pyyaml

=== debian/changelog ===
owslib (0.23.0-1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2023-27476: arbitrary file reads from malformed XML payload
    (Closes: #1034182)

 -- Aron Xu <aron@debian.org>  Tue, 13 Jun 2023 11:24:20 +0800

owslib (0.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Feb 2021 06:56:56 +0100

owslib (0.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Jan 2021 05:58:42 +0100

owslib (0.21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Dec 2020 05:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinx,
                python3-tz,
                python3-yaml
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
 Homepage: https://geopython.github.com/OWSLib/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 SPHINXOPTS = -D today="$(BUILD_DATE)"
 
 %:
-	dh  $@ --with python3,sphinxdoc --buildsystem pybuild --parallel
+	dh  $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_clean:
 	rm -rf docs/build

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\

## owslib 0.25.0

=== requirements.txt ===
python-dateutil>=1.5
pytz
requests>=1.0
pyproj >=2
pyyaml
dataclasses; python_version < '3.7'

=== debian/changelog ===
owslib (0.25.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Aug 2021 05:55:44 +0200

owslib (0.24.1-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 16:08:34 +0200

owslib (0.24.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 May 2021 08:28:40 +0200

owslib (0.24.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Update copyright file.
  * Refresh patches.
  * Drop -doc packages, causes FTBFS.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 May 2021 16:35:03 +0200

=== debian/control ===
Source: owslib
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>,
           Johan Van de Wauw <johan@gisky.be>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10~),
               dh-python,
               python3-all,
               python3-dateutil,
               python3-pytest,
               python3-requests,
               python3-setuptools,
               python3-tz,
               python3-yaml
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
Homepage: https://geopython.github.com/OWSLib/

Package: python3-owslib
Architecture: all
Depends: python3-lxml,
         ${python3:Depends},
         ${misc:Depends}
Description: Client library for Open Geospatial (OGC) web services (Python 3)
 OWSLib is a Python package for client programming with Open Geospatial
 Consortium (OGC) web service (hence OWS) interface standards, and their
 related content models.
 .
 Full documentation is available at https://geopython.github.io/OWSLib
 .
 OWSLib provides a common API for accessing service metadata and wrappers
 for numerous OGC Web Service interfaces.
 .
 This package provides the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib

%:
	dh  $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
#skipping tests as they require internet access

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/owslib-$1.$2/ \
https://github.com/geopython/owslib/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|r|v|owslib)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## owslib 0.26.0

=== requirements.txt ===
python-dateutil>=1.5
pytz
requests>=1.0
pyproj < 3.3.0
pyyaml
dataclasses; python_version < '3.7'

=== debian/changelog ===
owslib (0.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jun 2022 17:45:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Johan Van de Wauw <johan@gisky.be>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-dateutil,
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-tz,
                python3-yaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
 Homepage: https://geopython.github.com/OWSLib/

## owslib 0.27.2

=== requirements.txt ===
python-dateutil>=1.5
pytz
requests>=1.0
pyyaml
dataclasses; python_version < '3.7'

=== docs/Makefile ===
# Makefile for Sphinx documentation
#
# $(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/$$lang;
#

# You can set these variables from the command line.
BUILDDIR     = build
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
TRANSLATIONS  = 
LANGUAGES     = en $(TRANSLATIONS) 

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees/$$lang $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) -c . -A language=$$lang -D language=$$lang -A target=$(TARGET) -A languages='$(LANGUAGES)'

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  init	   to preprocess translation directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  all-pdf   to make PDF file"
	@echo "  all-ps    to make PS file"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

init:
	@for lang in $(TRANSLATIONS) ;\
	do \
# 		We change the Internal Field Separator (IFS) because to handle filename with special char like space. \
		OLDIFS="$$IFS"; \
		IFS=$$'\n'; \
		for file in `cd en; find . -type f -a -regex '.*\.txt$$' -a -not -regex '.*\.svn.*' -printf "%p\n" ; cd ..;`; \
		do \
			if [ ! -f $$lang/$$file ]; then  \
				mkdir -p `dirname "$$lang/$$file"`; \
				(echo ".. meta::"; echo "  :ROBOTS: NOINDEX") | cat - "en/$$file" > "$$lang/$$file"; \
			fi \
		done; \
		IFS=$$OLDIFS; \
#		Copy all no .txt files \
		yes n | cp -ipR en/* $$lang &> /dev/null; \
	done
	@echo "Init finished. Other targets can now be built.";\

html:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/html/$$lang $(BUILDDIR)/doctrees/$$lang; \
		echo "$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/html/$$lang";\
		$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/html/$$lang;\
	done
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html/<language>.";\

singlehtml:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/singlehtml/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/singlehtml/$$lang;\
	done
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/singlehtml/<language>.";\

pickle:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/pickle/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/pickle/$$lang;\
	done
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/json/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/json/$$lang;\
	done
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/htmlhelp/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/htmlhelp/$$lang;\
	done
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp/<language>."

latex:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/latex/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/latex/$$lang;\
	done
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex/<language>."\
	@echo "Run \`make all-pdf' or \`make all-ps'"

pdf:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/pdf/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/pdf/$$lang;\
	done
	@echo
	@echo "Build finished; the PDF files are in $(BUILDDIR)/pdf/<language>."\
	@echo "Run \`make pdf' "

epub:
	@for lang in en;\
	do \
		mkdir -p $(BUILDDIR)/epub/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/epub/$$lang;\
	done
	@echo
	@echo "Build finished; the epub files are in $(BUILDDIR)/epub/<language>."\
	@echo "Run \`make epub' "

all-pdf:
	@for lang in $(LANGUAGES);\
	do \
		/usr/bin/make -C $(BUILDDIR)/latex/$$lang all-pdf ; \
		if [ -d $(BUILDDIR)/html/$$lang ]; then \
		mv -f $(BUILDDIR)/latex/$$lang/OWSLib.pdf $(BUILDDIR)/html/$$lang ; \
		fi \
	done

all-ps:
	@for lang in $(LANGUAGES);\
	do \
		/usr/bin/make -C $(BUILDDIR)/latex/$$lang all-ps ; \
		if [ -d $(BUILDDIR)/html/$$lang ]; then \
		mv -f $(BUILDDIR)/latex/$$lang/OWSLib.pdf $(BUILDDIR)/html/$$lang ; \
		fi \
	done

changes:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/changes/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/changes/$$lang;\
	done
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes/<language>."

linkcheck:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/linkcheck/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/linkcheck/$$lang;\
	done
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/<language>/output.txt."

labels:
	@for lang in $(LANGUAGES);\
	do \
		mkdir -p $(BUILDDIR)/labels/$$lang $(BUILDDIR)/doctrees/$$lang; \
		$(SPHINXBUILD) -b labels $(ALLSPHINXOPTS) $$lang $(BUILDDIR)/labels/$$lang;\
		cp $(BUILDDIR)/labels/$$lang/labels.txt $$lang/include/labels.inc;\
	done
	@echo
	@echo "Label generation complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/labels/<language>/labels.txt."

=== debian/changelog ===
owslib (0.27.2-3) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root to control file.
  * Add py3dist overrides for dataclasses.
  * Fix 'Recommends' typo.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add upstream patch to fix CVE-2023-27476.
    (closes: #1034182)
  * Add python3-lxml to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Apr 2023 06:30:11 +0200

owslib (0.27.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch to use yaml.safe_load instead of yaml.load.
    (closes: #1022033)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Nov 2022 19:38:12 +0100

owslib (0.27.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update copyright file.
  * Move pyproj to Recommends.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2022 18:56:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,23 @@
                dh-python,
                python3-all,
                python3-dateutil,
+               python3-lxml,
                python3-pytest,
                python3-requests,
                python3-setuptools,
                python3-tz,
                python3-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
 Homepage: https://geopython.github.com/OWSLib/
+Rules-Requires-Root: no
 
 Package: python3-owslib
 Architecture: all
-Depends: python3-lxml,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends}
+Recommends: python3-pyproj
 Description: Client library for Open Geospatial (OGC) web services (Python 3)
  OWSLib is a Python package for client programming with Open Geospatial
  Consortium (OGC) web service (hence OWS) interface standards, and their

## owslib 0.29.2

=== debian/changelog ===
owslib (0.29.2-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 13:42:18 +0200

owslib (0.29.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 May 2023 06:22:12 +0200

owslib (0.29.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Apr 2023 05:24:38 +0200

owslib (0.29.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Apr 2023 07:50:29 +0200

owslib (0.28.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add python3-lxml to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Feb 2023 18:12:49 +0100

owslib (0.28.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Add py3dist overrides for dataclasses.
  * Fix 'Recommends' typo.
  * Bump Standards-Version to 4.6.2, no changes.
  * Drop yaml-safe_load.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Feb 2023 15:12:49 +0100

## owslib 0.29.3

=== requirements.txt ===
dataclasses; python_version < '3.7'
lxml
python-dateutil>=1.5
pytz
pyyaml
requests>=1.0

=== debian/changelog ===
owslib (0.29.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 13.
  * Update Homepage URL.
    (closes: #1039095)
  * Remove generated files in clean target.
    (closes: #1048818)
  * Enable Salsa CI.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Nov 2023 06:03:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
            Johan Van de Wauw <johan@gisky.be>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-dateutil,
                python3-lxml,
@@ -17,7 +18,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
-Homepage: https://geopython.github.com/OWSLib/
+Homepage: https://github.com/geopython/OWSLib
 Rules-Requires-Root: no
 
 Package: python3-owslib

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib

%:
	dh  $@ --buildsystem pybuild

override_dh_auto_test:
#skipping tests as they require internet access

## owslib 0.31.0

=== debian/changelog ===
owslib (0.31.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 May 2024 05:30:22 +0200

owslib (0.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Mar 2024 05:40:11 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib

%:
	dh  $@ --buildsystem pybuild

# Skip tests, require internet access
override_dh_auto_test:

## owslib 0.32.0

=== debian/changelog ===
owslib (0.32.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Drop obsolete python3-tz build dependency.
  * Drop obsolete py3dist-overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Oct 2024 06:29:52 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
                python3-pytest,
                python3-requests,
                python3-setuptools,
-               python3-tz,
                python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
 Homepage: https://github.com/geopython/OWSLib

## owslib 0.32.1

=== docs/requirements.txt ===
ipykernel
nbconvert
nbsphinx
pypandoc
sphinx

=== debian/changelog ===
owslib (0.32.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Skip online tests and doctests.
  * Use autopkgtest-pkg-pybuild testsuite.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Jan 2025 19:38:58 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
                python3-dateutil,
                python3-lxml,
                python3-pytest,
+               python3-pytest-cov,
+               python3-pytest-socket,
                python3-requests,
                python3-setuptools,
                python3-yaml
@@ -19,6 +21,7 @@
 Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
 Homepage: https://github.com/geopython/OWSLib
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-owslib
 Architecture: all

## owslib 0.33.0

=== docs/requirements.txt ===
ipykernel
nbconvert
nbsphinx
pypandoc
sphinx==8.1.3 # issue with nbsphinx in sphinx 8.2, see https://github.com/spatialaudio/nbsphinx/issues/825

=== debian/changelog ===
owslib (0.33.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add python3-pytest-httpserver to build dependencies.
  * Bump Standards-Version to 4.7.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Mar 2025 06:26:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                python3-lxml,
                python3-pytest,
                python3-pytest-cov,
+               python3-pytest-httpserver,
                python3-pytest-socket,
                python3-requests,
                python3-setuptools,
                python3-yaml
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
 Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
 Homepage: https://github.com/geopython/OWSLib

## owslib 0.34.1

=== debian/changelog ===
owslib (0.34.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Jun 2025 05:22:00 +0200

owslib (0.34.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Jun 2025 15:59:49 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-yaml
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
-Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git -b experimental
 Homepage: https://github.com/geopython/OWSLib
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild

## owslib 0.35.0

=== requirements.txt ===
lxml
python-dateutil
pyyaml
requests

=== debian/changelog ===
owslib (0.35.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream releases.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Update copyright file.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Oct 2025 05:27:05 +0100

owslib (0.34.1-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 11:21:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-dateutil,
                python3-lxml,
@@ -19,9 +20,8 @@
                python3-yaml
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/owslib
-Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/owslib.git
 Homepage: https://github.com/geopython/OWSLib
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-owslib

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=owslib
export PYBUILD_TEST_ARGS=-vv -m "not online" -k "not doctests"

%:
	dh  $@ --buildsystem pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?[vr]?(\d[\d\.\-\w]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/owslib-$1.$2/ \
https://github.com/geopython/owslib/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|r|v|owslib)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
